# $Revision: 1.12 $, $Date: 2005/01/05 21:41:05 $
%define		zope_subname	WebMail
Summary:	A mail client for Zope
Summary(pl):	Klient poczty elektronicznej dla Zope
Name:		Zope-%{zope_subname}
Version:	4.3.1
Release:	2
License:	GPL v2+
Group:		Development/Tools
Source0:	http://www.pentila.com/produits/WebMail/%{zope_subname}-%{version}.tgz
# Source0-md5:	b35b48977be73eb8511296f3d3f7a244
URL:		http://www.pentila.com/produits/WebMail/
%pyrequires_eq	python-modules
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebMail is a mail client for Zope.

%description -l pl
WebMail jest klientem poczty elektronicznej dla Zope.

%prep
%setup -q -n %{zope_subname}

find . -type d -name CVS | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {dtml,style_sheet,www,*.py,refresh.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
# contains authors
%doc LICENSE.txt CHANGES.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-WebMail.spec,v $
Revision 1.12  2005/01/05 21:41:05  ciesiel
- rel. 2 for rebuild with python 2.4

Revision 1.11  2005/01/01 19:58:08  undefine
- up to 4.3.1, update URL

Revision 1.10  2004/12/25 13:22:09  saq
- release 5 for rebuild with python 2.4

Revision 1.9  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.8  2004/08/10 19:34:36  ciesiel
- up rel. for build

Revision 1.7  2004/07/28 08:03:22  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2003/12/03 17:31:49  ciesiel
- added missing file

Revision 1.5  2003/11/17 12:39:01  ciesiel
- install into new dir. (datadir)
- installzopeproduct
- cleaning

Revision 1.4  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.3  2003/10/01 10:24:51  qboosh
- spec renamed from Zope-Webmail.spec to Zope-WebMail.spec, cleanups

Revision 1.2  2003/10/01 09:57:04  ankry
- cosmetics

Revision 1.1  2003/10/01 07:52:41  ciesiel
- initial release
